function [avg, avgT] = avgInSegments(x, t, DT)

if nargin < 3
    DT = mode(diff(t));
end

d = diff(t);
f = find(d > DT);

if ~isempty(f)
    avg = nan(length(f) + 1, 1);
    avgT = nan(length(f) + 1, 1);
    f2 = [0; f; length(x)];
    
    for i=1:length(f)+1;
        segm = x(f2(i)+1:f2(i+1));
        avg(i) = mean(segm(~isnan(segm)));
        avgT(i) = median(t(f2(i)+1:f2(i+1)));
%        disp(['From ', num2str(f2(i)+1), ' to ', num2str(f2(i+1))]);
    end
else
    avg = [];
    avgT = [];
end



end
